#
# spec file for package konversation (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           konversation
BuildRequires:  kdelibs3-devel
URL:            http://konversation.kde.org/
License:        GPL
Group:          Productivity/Networking/IRC
Autoreqprov:    on
Version:        1.0
Release:        1.1
Summary:        A User-Friendly IRC Client for KDE 3
Source:         konversation-%version.tar.bz2
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Patch:          fix-gcc41.diff
Patch1:         default-channel-suse.diff

%description
Konversation is a user-friendly IRC client for KDE 3.x.



Authors:
--------
    Dario Abatianni <eisfuchs@tigress.com>
    Matthias Gierlings <gismore@users.sourceforge.net>
    Alex Zepeda <garbanzo@hooked.net>
    Stanislav Karchebny <berkus@users.sourceforge.net>
    Mickael Marchand <marchand@kde.org>
    Peter Simonsson <psn@linux.se>
    Christian Muehlhaeuser <chris@chris.de>
    John Tapsell <johnflux@gmail.com>
    Shintaro Matsuoka <shin@shoegazed.org>
    &#304;smail Dnmez <ismail@kde.org.tr>
    Eike Hein <sho@eikehein.com>

%debug_package
%prep
%setup -q
#patch
%patch1
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
%if %suse_version > 1000
CXXFLAGS="$CXXFLAGS -fstack-protector" ./configure $configkde --disable-final
%else
CXXFLAGS="$CXXFLAGS" ./configure $configkde --disable-final
%endif
./configure $configkde --disable-final
do_make %{?jobs:-j %jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
%suse_update_desktop_file %name IRCClient
%find_lang %name

%files  -f %name.lang
%defattr(-,root,root)
%dir /opt/kde3/share/icons/hicolor/*
%dir /opt/kde3/share/icons/hicolor/*/apps
%dir /opt/kde3/share/doc/HTML/en/konversation-1.0-apidocs
/opt/kde3/share/apps/konversation
/opt/kde3/bin/*
/opt/kde3/share/applications/kde/konversation.desktop
/opt/kde3/share/config.kcfg/konversation.kcfg
/opt/kde3/share/icons/*/*/*/*
/opt/kde3/share/apps/kconf_update/*
/opt/kde3/share/services/*

%changelog -n konversation
* Fri Sep 01 2006 - jreuter@suse.de
- update to version 1.0.
  Too many changes to list.
* Wed Jun 14 2006 - dmueller@suse.de
- build parallel
* Mon May 15 2006 - jreuter@suse.de
- send users by default to #suse IRC channel, not #kde
* Tue Feb 07 2006 - ro@suse.de
- fix build for < 10.1
* Mon Jan 30 2006 - stbinner@suse.de
- update to version 0.19
  * User Interface
- The Server List dialog has been rewritten to allow direct
  manipulation of a network's servers and features more
  intelligent sorting behavior. Reordering networks via drag
  and drop is now possible. A behavioral audit of all actions
  in the dialog resulted in numerous improvements.
- A redesigned tab bar sports highly configurable text- and LED
  icon-based notifications as well as more intelligent scaling
  behavior under space-critical conditions.
- Tabs are now intelligently grouped around their respective
  connection status tab.
- Status tab labels now display the user-configured network
  name where appropriate.
- The Find Text dialog has been replaced by a search bar that
  no longer interrupts your workflow.
- Channel links in the chat area now feature a context menu
  for quick access to common actions.
- Usage of the status bar has been extended to show context-
  relevant information as the cursor passes over various
  interface elements.
- The lag information segment is now only shown where
  appropriate.
- A channel's topic can now be cleared by setting an empty
  text in the Channel Options dialog.
- The Channel Options dialog has been redesigned to allow
  editing the current topic while browsing a channel's topic
  history.
- The Watched Nicknames interface has been fully integrated
  with network management.
- Pressing the Arrow Down key in the input line now preserves
  any input entered by adding it to the history.
- Commands may now be sent as regular messages by typing
  Ctrl+Enter.
- The multi-line paste editor window now highlights whitespace
  characters and prepends the existing content of the input
  line.
- The Colored Nicknames feature has been improved to better
  handle nickname changes and immediately apply any changes
  to the color palette.
- Some previously not configurable notification events have
  been made configurable.
- Users leaving a server will now be announced in any query
  you have open with them.
- Query tab labels will now update when a user you have a #
  query open with changes his/her name.
- The DCC file transfer dialogs have seen a number of cosmetic
  improvements. Among other things, in the event of a file being
  renamed on save, the local file name is now shown across the
  application.
- Various status and error messages have been rewritten for
  improved consistency and clarity.
- The KDE standard text font will now be correctly set as
  initial default chat font.
- It is now possible to skip displaying a server's MOTD on
  connect.
- If the application is set to display a server's MOTD in a
  fixed-width font and the previously configured default chat
  font is already a fixed-width font, the chat font will now
  be used rather than the global KDE default fixed-width font.
- The state of the automatic spell checking functionality is now
  remembered across sessions and set for all tabs.
- Networks no longer lose their channel history when their
  settings are changed.
- The Server List dialog will no longer close when a connection
  attempt fails due to the identity not being set up correctly.
- After changing your nickname using the optional drop-down menu
  to the left of the input line, focus will now be returned to
  the input line.
- The configuration dialog has been rewritten to correctly update
  the button state of its primary actions and improve consistency
  with the KDE style guide.
- The vertical and horizontal splitters in channel tabs now behave
  better when the application window is resized and correctly
  retain their positions across sessions.
- The OSD preview in the OSD settings page is now always shown
  correctly.
- The OSD will no longer be shown when the desktop is locked.
- A bug that prevented copying text from the chat area under certain
  circumstances has been fixed.
- Keyboard search in the channel nickname list has been fixed.
- A number of issues affecting nickname context menus in the chat
  area have been fixed.
- A bug leading to a wrong operator count in the status bar has been
  fixed.
- It is no longer possible to add nameless networks or hostless
  servers in the responsible management dialogs.
- Bugs that led to parts of the interface not reacting to KDE color
  scheme changes have been fixed.
- The status bar now correctly reacts to KDE font size changes.
- A bug that led to the application window resizing on overly long
  status bar contents has been fixed.
- A bug that led to multiple remember lines being inserted into the
  frontmost tab when away mode was activated has been fixed.
- A bug that led to wrong link addresses being opened from the chat
  area has been fixed.
- Bugs that led to wrong URLs being produced by dragging a link from
  the chat area to the input line have been fixed.
- Channel names are now better recognized as such by the chat area.
  * Bookmarking
- Bookmark titles now default to the channel name.
- Bookmarks now store the network name rather than the server address
  where available.
- Bookmarks now support IPv6 addresses.
  * Commands
- The '/server' command now recognizes a greater variety of address
  notations including network names.
- The '/names' command now always succeeds in returning the user list
  of a channel.
- The '/topic' command now always succeeds in returning the topic of a
  channel.
- A '/dns' command has been added that facilitates resolving the host
  name of a user on the server as well as generic host names. Reverse
  resolve is supported on KDE 3.5.1+.
- An '/unignore' command has been added.
- A '/disconnect' command has been added.
- A '/reconnect' command has been added that disconnects and then
  reconnects the respective server.
- A '/setkey' command has been added to set the Blowfish
  encryption/decryption key for the respective context.
- The '/list' command now correctly opens the Channel List tab.
- A bug in parsing the arguments of the '/join' command has been fixed.
- Usage information and error reporting for various commands has been
  rewritten for improved consistency and clarity.
- A bug that led to a 'clear' command being sent to the server when
  using the '/clear' command to clear the contents of a query tab has
  been fixed.
  * Miscellaneous
- The 'media' script has been rewritten and now features improved
  compatibility with common character sets, greatly enhanced support
  for the Kaffeine media player and newly added support for the Yammi
  media player.
- The 'sysinfo' script has been rewritten to produce more concise
  output and better handle a variety of storage scenarios.
- The convenience feature expanding [[term]] into a Wikipedia link is
  now localizable and generates a link that performs an intelligent
  lookup for the term in the Wikipedia rather than assume a correct
  direct link.
  * Technology
- Konversation now depends on KDE 3.4+.
- The preferences storage system has been rewritten to facilitate
  easier maintenance and faster development in future release cycles.
- Localized support for a long list of IRC protocol primitives has
  been added.
- The application will now correctly iterate over a network's servers
  on successive failed connection attempts.
- When the '/server' command or the Quick Connect dialog is used to
  connect to a server that has previously been added to a network in
  the Server List dialog, it will be recognized as being part of the
  network and the respective identity settings will be applied.
- The automated reply to a highlight event can now reference the
  groups of the matched pattern by the identifiers %%1-%%9 and the
  entire match by the identifier %%0.
- The CABAP IDENTIFY-MSG technology is now supported.
- Compatibility with the Unreal IRC server has been improved.
- Initial support for Blowfish encryption (compatible with mIRCryption
  and FiSH) has been added. Note that Diffie-Hellman key exchange
  (DHX) is not yet supported.
- The Watched Nicknames reporting has been made more reliable.
- Socket handling in the DCC file transfer feature has been improved.
- Alpha-blending of icons in the channel nickname list has been fixed.
- Support for the iso-2022-jp encoding has been enhanced.
- The custom web browser feature will now automatically append the URL
  as a parameter to the specified command when the %%u identifier is
  missing.
- Channel modes are now correctly cleared and updated in the internal
  representation on rejoin.
- A bug that led to an infinite loop during a connection attempt when
  all nicknames configured in the identity were in use has been fixed.
- A bug that could lead to a crash when opening the log file for a
  closed connection has been fixed.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - jreuter@suse.de
- build with -fstack-protector
* Tue Oct 18 2005 - dmueller@suse.de
- build
* Wed Jun 08 2005 - jreuter@suse.de
- fix bogus filter on %%n in command aliases
* Tue Jun 07 2005 - jreuter@suse.de
- update to version 0.18
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Thu Apr 07 2005 - adrian@suse.de
- update to version 0.17
* Thu Mar 24 2005 - jreuter@suse.de
- upgrade to version 0.16
* Sat Mar 05 2005 - adrian@suse.de
- fix build for released distributions
* Tue Feb 01 2005 - jreuter@suse.de
- upgrade to version 0.15.1 (#50027):
- CAN-2005-0129 IRC command injection on pressing quick buttons
- CAN-2005-0130 shell command injection in perl scripts
- CAN-2005-0131 nick and password swapped on quick connect
* Mon Jan 03 2005 - adrian@suse.de
- fix installation of documentation files
- remove unneeded mad and mad-devel from nfb
* Wed Dec 01 2004 - jreuter@suse.de
- upgrade to version 0.15
* Tue Sep 07 2004 - jreuter@suse.de
- changed /quit and /part message to something less political
  (#43368)
- fixed character encoding dialog when using UTF-8 locale (#43368)
* Thu Jul 15 2004 - jreuter@suse.de
- do not register "irc" ort "irc6" protocol handler in case
  another one already exists
* Fri Jul 09 2004 - jreuter@suse.de
- upgrade to version 0.14
* Thu Feb 26 2004 - jreuter@suse.de
- fixed character encoding selection
- will start up with sensible default char encoding if it cannot be
  derived from config file or environment
* Wed Feb 25 2004 - jreuter@suse.de
- removed bogus re-definition of "unsigned long long" from
  server.cpp
* Mon Jan 19 2004 - jreuter@suse.de
- update_admin works again with current admin directory
* Sun Nov 16 2003 - jreuter@suse.de
- do not run update_admin (tar ball is missing some input files)
* Sun Nov 16 2003 - adrian@suse.de
- fix .mo file names
* Sat Nov 15 2003 - jreuter@suse.de
- upgrade to version 0.13
* Sat Aug 09 2003 - adrian@suse.de
- add Categories
* Sun Jun 15 2003 - coolo@suse.de
- package directories
- use %%find_lang
* Wed May 28 2003 - jreuter@suse.de
- new version 0.12
* Wed Apr 16 2003 - coolo@suse.de
- use BuildRoot
* Fri Mar 28 2003 - jreuter@suse.de
- new version 0.11
* Tue Feb 25 2003 - sf@suse.de
- added fix to configure to find kdelibs
* Mon Feb 10 2003 - jreuter@suse.de
- initial package (konversation version 0.9)
